<?php

class LiamW_LotsaBots_DatabaseSchema_Robots extends LiamW_Shared_DatabaseSchema_Abstract2
{
	/**
	 * Get the install SQL.
	 *
	 * The array should be an associative array of fields, like so:
	 *
	 * versionId =>
	 *        array =>
	 *                SQL Strings
	 *
	 *
	 * @return array
	 */
	protected function _getInstallSql()
	{
		return array(
			0 => "
				CREATE TABLE IF NOT EXISTS liam_robots (
					robot_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
  					name VARCHAR(50) NOT NULL,
  					link VARCHAR(255) NOT NULL,
  					user_agent VARCHAR(255) NOT NULL
				) ENGINE=InnoDB  DEFAULT CHARSET=utf8;"
		);
	}

	/**
	 * Get the uninstall SQL.
	 *
	 * Unlike the install SQL, this should return an array of SQL code to run. All code will be run.
	 *
	 * @return array
	 */
	protected function _getUninstallSql()
	{
		return array(
			"DROP TABLE liam_robots"
		);
	}
}